Skip to main content
GET
/
v1
/
fleet
/
hos_authentication_logs
Get HOS signin and signout
curl --request GET \
  --url https://api.samsara.com/v1/fleet/hos_authentication_logs \
  --header 'Authorization: Bearer <token>'
{
  "authenticationLogs": [
    {
      "actionType": "signin",
      "address": "THIS FIELD MAY NOT BE POPULATED",
      "addressName": "THIS FIELD MAY NOT BE POPULATED",
      "city": "THIS FIELD MAY NOT BE POPULATED",
      "happenedAtMs": 1462881998034,
      "state": "THIS FIELD MAY NOT BE POPULATED"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

driverId
integer<int64>
required

Driver ID to query.

startMs
integer<int64>
required

Beginning of the time range, specified in milliseconds UNIX time.

endMs
integer<int64>
required

End of the time range, specified in milliseconds UNIX time.

Response

HOS authentication logs for the specified driver.

authenticationLogs
object[]